
#include <gtk/gtk.h>
#include <libxfcegui4/xfce_menubutton.h>

void menuitem_clicked(GtkWidget * button, GdkPixbuf * pixbuf)
{
    static gboolean has_pixbuf = FALSE;

    if(has_pixbuf)
    {
        xfce_menubutton_set_stock_icon(XFCE_MENUBUTTON(button), GTK_STOCK_REMOVE);
        has_pixbuf = FALSE;
    }
    else
    {
        xfce_menubutton_set_pixbuf(XFCE_MENUBUTTON(button), pixbuf);
        has_pixbuf = TRUE;
    }
}

int main(int argc, char *argv[])
{
    /* GtkWidget is the storage type for widgets */
    GtkWidget *window;
    GtkWidget *vbox;
    GtkWidget *separator;
    GtkWidget *menubutton;
    GdkPixbuf *pb;
    GtkSizeGroup *sg;

    gtk_init(&argc, &argv);

    /* Create a new window */
    window = gtk_window_new(GTK_WINDOW_TOPLEVEL);

    gtk_window_set_title(GTK_WINDOW(window), "menubutton");

    g_signal_connect(G_OBJECT(window), "destroy", G_CALLBACK(gtk_main_quit), NULL);

    g_signal_connect(G_OBJECT(window), "delete_event", G_CALLBACK(gtk_main_quit), NULL);

    /* Sets the border width of the window. */
    gtk_container_set_border_width(GTK_CONTAINER(window), 0);

    vbox = gtk_vbox_new(FALSE, 0);
    gtk_widget_show(vbox);
    gtk_container_add(GTK_CONTAINER(window), vbox);

    sg = gtk_size_group_new(GTK_SIZE_GROUP_HORIZONTAL);

    pb = gdk_pixbuf_new_from_file("gnome-gmush.png", NULL);

    menubutton = xfce_menubutton_new("First item");
    gtk_widget_show(menubutton);
    xfce_menubutton_set_pixbuf(XFCE_MENUBUTTON(menubutton), pb);
    gtk_box_pack_start(GTK_BOX(vbox), menubutton, TRUE, TRUE, 0);

    gtk_widget_set_size_request(menubutton, -1, 48);

    menubutton = xfce_menubutton_new_with_stock_icon("Second item", GTK_STOCK_ADD);
    gtk_widget_show(menubutton);
    gtk_box_pack_start(GTK_BOX(vbox), menubutton, TRUE, TRUE, 0);

    gtk_widget_set_size_request(menubutton, -1, 48);

    separator = gtk_hseparator_new();
    gtk_widget_show(separator);
    gtk_box_pack_start(GTK_BOX(vbox), separator, TRUE, TRUE, 4);

    menubutton = xfce_menubutton_new_with_pixbuf("Third item", pb);
    gtk_widget_show(menubutton);
    gtk_box_pack_start(GTK_BOX(vbox), menubutton, TRUE, TRUE, 0);

    gtk_widget_set_size_request(menubutton, -1, 24);

    menubutton = xfce_menubutton_new_with_stock_icon("Fourth item", GTK_STOCK_REMOVE);
    gtk_widget_show(menubutton);
    gtk_box_pack_start(GTK_BOX(vbox), menubutton, TRUE, TRUE, 0);

    gtk_widget_set_size_request(menubutton, -1, 24);

    g_signal_connect(menubutton, "clicked", G_CALLBACK(menuitem_clicked), pb);

    separator = gtk_hseparator_new();
    gtk_widget_show(separator);
    gtk_box_pack_start(GTK_BOX(vbox), separator, TRUE, TRUE, 4);

    menubutton = xfce_menubutton_new("Fifth item");
    gtk_widget_show(menubutton);
    gtk_box_pack_start(GTK_BOX(vbox), menubutton, TRUE, TRUE, 0);

    gtk_widget_set_size_request(menubutton, -1, 24);

    gtk_widget_show(window);

    /* Rest in gtk_main and wait for the fun to begin! */
    gtk_main();

    return 0;
}
