
#include <gtk/gtk.h>
#include <libxfcegui4/libxfcegui4.h>

static void create_pager_window(NetkScreen * screen, GtkOrientation orientation)
{
    GtkWidget *win;
    GtkWidget *pager;
    GtkWidget *frame;

    win = gtk_window_new(GTK_WINDOW_TOPLEVEL);

    gtk_window_stick(GTK_WINDOW(win));
    netk_gtk_window_set_dock_type(GTK_WINDOW(win));

    gtk_window_set_title(GTK_WINDOW(win), "Pager");

    /* quit on window close */
    g_signal_connect(G_OBJECT(win), "destroy", G_CALLBACK(gtk_main_quit), NULL);

    frame = gtk_frame_new(NULL);
    gtk_frame_set_shadow_type(GTK_FRAME(frame), GTK_SHADOW_IN);
    gtk_container_add(GTK_CONTAINER(win), frame);

    pager = netk_pager_new(screen);

    netk_pager_set_orientation(NETK_PAGER(pager), orientation);
    netk_pager_set_n_rows(NETK_PAGER(pager), 1);

    gtk_container_add(GTK_CONTAINER(frame), pager);

    gtk_widget_show_all(win);
}

int main(int argc, char **argv)
{
    NetkScreen *screen;
    SessionClient *client_session;

    gtk_init(&argc, &argv);

    client_session = client_session_new(argc, argv, NULL /* data */ , SESSION_RESTART_IF_RUNNING, 50);

    if(!session_init(client_session))
        g_message("Cannot connect to session manager");

    screen = netk_screen_get_default();

    /* because the pager doesn't respond to signals at the moment */
    netk_screen_force_update(screen);

    create_pager_window(screen, GTK_ORIENTATION_HORIZONTAL);
    /*   create_pager_window (screen, GTK_ORIENTATION_VERTICAL); */

    gtk_main();

    return 0;
}
