
#include <gtk/gtk.h>
#include <libxfcegui4/libxfcegui4.h>

int main(int argc, char **argv)
{
    SessionClient *client_session;
    NetkScreen *screen;
    GtkWidget *win;
    GtkWidget *frame;
    GtkWidget *tasklist;

    gtk_init(&argc, &argv);

    client_session = client_session_new(argc, argv, NULL /* data */ , SESSION_RESTART_IF_RUNNING, 50);

    if(!session_init(client_session))
        g_message("Cannot connect to session manager");

    screen = netk_screen_get_default();

    /* because the pager doesn't respond to signals at the moment */
    netk_screen_force_update(screen);

    win = gtk_window_new(GTK_WINDOW_TOPLEVEL);
    gtk_window_stick(GTK_WINDOW(win));
    netk_gtk_window_set_dock_type(GTK_WINDOW(win));

    gtk_window_set_title(GTK_WINDOW(win), "Task List");
    gtk_window_set_resizable(GTK_WINDOW(win), TRUE);
    gtk_window_set_default_size(GTK_WINDOW(win), 240, -1);

    /* quit on window close */
    g_signal_connect(G_OBJECT(win), "destroy", G_CALLBACK(gtk_main_quit), NULL);

    tasklist = netk_tasklist_new(screen);

    netk_tasklist_set_grouping(NETK_TASKLIST(tasklist), NETK_TASKLIST_ALWAYS_GROUP);
    netk_tasklist_set_grouping_limit(NETK_TASKLIST(tasklist), 0);
    frame = gtk_frame_new(NULL);
    gtk_frame_set_shadow_type(GTK_FRAME(frame), GTK_SHADOW_IN);
    gtk_container_add(GTK_CONTAINER(win), frame);

    gtk_container_add(GTK_CONTAINER(frame), tasklist);

    gtk_widget_show(tasklist);
    gtk_widget_show(frame);
    gtk_widget_show(win);

    gtk_main();

    return 0;
}
